Subject: Re: bug#23368: 25.0.92; xftfont.c has got a bug

From: Masaru Nomiya <[email-masked]>
Date: Mon, 25 Apr 2016 16:31:11 +0900

Hello,

Sorry, I've fogotten to write a workaround.
My workaround is replacement of xftfont.c in Emacs 25.0.92, Emacs
25.0.93, and Emacs 25.1.50 with Emacs 25.0.91's.
Then Emacs (25.0.92, 25.0.93, and 25.1.50) works fine for me.

In the Message; 

  Subject    : bug#23368: 25.0.92; xftfont.c has got a bug
  Message-ID : <[email-masked]>
  Date & Time: Mon, 25 Apr 2016 15:02:40 +0900

Masaru Nomiya <[email-masked]> has written:

> Hello,

> With Emacs 25.0.92, Emacs 25.0.93, and Emacs 25.1.50, Emacs start to
> use 100% CPU.
> That is, afetr I start Wanderlust(MUA) on Emacs, and try to open some
> folders in it, Emacs starts to use 100% CPU, and unresposible.

> I investigated the latest Emacs with git bisect.
> As a result, I found that xftfont.c has got a bug as follows.

> --------------------------------------------------------------------
masaru@linux-uw5l:/tmp/tes/emacs> git checkout emacs-25
> Branch emacs-25 set up to track remote branch emacs-25 from origin.
> Switched to a new branch 'emacs-25'

masaru@linux-uw5l:/tmp/tes/emacs> git bisect start

masaru@linux-uw5l:/tmp/tes/emacs> git bisect bad

masaru@linux-uw5l:/tmp/tes/emacs> git bisect good emacs-25.0.91
> Bisecting: 182 revisions left to test after this (roughly 8 steps)
> [04f5525fbb961f6006280be340ca0f03df9e80a7] Make '.' associative, for easier sexp navigation

masaru@linux-uw5l:/tmp/tes/emacs> ./autogen.sh

masaru@linux-uw5l:/tmp/tes/emacs> ./configure

masaru@linux-uw5l:/tmp/tes/emacs> make bootstrap -j10

> test --  NG

masaru@linux-uw5l:/tmp/tes/emacs> make clean

masaru@linux-uw5l:/tmp/tes/emacs> git bisect bad
> Bisecting: 90 revisions left to test after this (roughly 7 steps)
> [06a872b71d6580e0699600844bb9526602437990] Fix redisplay on a TTY after 'make-frame'
> [...]
masaru@linux-uw5l:/tmp/tes/emacs> make bootstrap -j10

> test  --  OK

masaru@linux-uw5l:/tmp/tes/emacs> make clean

masaru@linux-uw5l:/tmp/tes/emacs> git bisect good
> Bisecting: 0 revisions left to test after this (roughly 1 step)
> [ec10ef95cf2a5309ec7cb74f1383860a13daa546] * lisp/apropos.el (apropos-variable): Doc fix.  (Bug#22813).

masaru@linux-uw5l:/tmp/tes/emacs> make bootstrap -j10

> test  --  NG

masaru@linux-uw5l:/tmp/tes/emacs> make clean

masaru@linux-uw5l:/tmp/tes/emacs> git bisect bad
> Bisecting: 0 revisions left to test after this (roughly 0 steps)
> [d2dd614716e34edb5891e58c029741cd6b32217d] Remove unneeded workaround in xftfont.c

> ---------------------------------------------------------------------

> ※ test = Start Emacs & Wanderlust, then try to open the folder in
> Wanderlust. OK means "can open without any problem", NG means "Emacs
> eat 100% CPU).

> ---
>  Masaru Nomiya             mail-to: nomiya @ galaxy.dti.ne.jp